/[gentoo-x86]/sys-kernel/hardened-sources/hardened-sources-3.2.30-r3.ebuild
Gentoo

Contents of /sys-kernel/hardened-sources/hardened-sources-3.2.30-r3.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.2 - (hide annotations) (download)
Thu Nov 8 15:15:48 2012 UTC (21 months, 3 weeks ago) by blueness
Branch: MAIN
CVS Tags: HEAD
Changes since 1.1: +1 -1 lines
FILE REMOVED
Remove older unstables

(Portage version: 2.1.11.31/cvs/Linux x86_64, signed Manifest commit with key 0xF52D4BBA)

1 blueness 1.1 # Copyright 1999-2012 Gentoo Foundation
2     # Distributed under the terms of the GNU General Public License v2
3 blueness 1.2 # $Header: /var/cvsroot/gentoo-x86/sys-kernel/hardened-sources/hardened-sources-3.2.30-r3.ebuild,v 1.1 2012/10/10 12:21:12 blueness Exp $
4 blueness 1.1
5     EAPI="4"
6    
7     ETYPE="sources"
8     K_WANT_GENPATCHES="base extras"
9     K_GENPATCHES_VER="16"
10     K_DEBLOB_AVAILABLE="1"
11    
12     inherit kernel-2
13     detect_version
14    
15     HGPV="${KV_MAJOR}.${KV_MINOR}.${KV_PATCH}-4"
16     HGPV_URI="http://dev.gentoo.org/~blueness/hardened-sources/hardened-patches/hardened-patches-${HGPV}.extras.tar.bz2"
17     SRC_URI="${KERNEL_URI} ${HGPV_URI} ${GENPATCHES_URI} ${ARCH_URI}"
18    
19     UNIPATCH_LIST="${DISTDIR}/hardened-patches-${HGPV}.extras.tar.bz2"
20     UNIPATCH_EXCLUDE="4200_fbcondecor-0.9.6.patch"
21    
22     DESCRIPTION="Hardened kernel sources (kernel series ${KV_MAJOR}.${KV_MINOR})"
23     HOMEPAGE="http://www.gentoo.org/proj/en/hardened/"
24     IUSE="deblob"
25    
26     KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
27    
28     RDEPEND=">=sys-devel/gcc-4.5"
29    
30     pkg_postinst() {
31     kernel-2_pkg_postinst
32    
33     local GRADM_COMPAT="sys-apps/gradm-2.9.1*"
34    
35     ewarn
36     ewarn "Hardened Gentoo provides three different predefined grsecurity level:"
37     ewarn "[server], [workstation], and [virtualization]. Those who intend to"
38     ewarn "use one of these predefined grsecurity levels should read the help"
39     ewarn "associated with the level. Because some options require >=gcc-4.5,"
40     ewarn "users with more, than one version of gcc installed should use gcc-config"
41     ewarn "to select a compatible version."
42     ewarn
43     ewarn "Users of grsecurity's RBAC system must ensure they are using"
44     ewarn "${GRADM_COMPAT}, which is compatible with ${PF}."
45     ewarn "It is strongly recommended that the following command is issued"
46     ewarn "prior to booting a ${PF} kernel for the first time:"
47     ewarn
48     ewarn "emerge -na =${GRADM_COMPAT}"
49     ewarn
50     }

  ViewVC Help
Powered by ViewVC 1.1.20